Debian Bug report logs - #675369
request-tracker3.8: rt create error 500

version graph

Package: request-tracker3.8; Maintainer for request-tracker3.8 is Debian Request Tracker Group <pkg-request-tracker-maintainers@lists.alioth.debian.org>;

Reported by: Mike Bird <mgb@yosemite.net>

Date: Thu, 31 May 2012 16:03:01 UTC

Severity: important

Merged with 674924

Found in version request-tracker3.8/3.8.8-7+squeeze3

Fixed in version request-tracker3.8/3.8.8-7+squeeze4

Done: Dominic Hargreaves <dom@earth.li>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Request Tracker Group <pkg-request-tracker-maintainers@lists.alioth.debian.org>:
Bug#675369; Package request-tracker3.8. (Thu, 31 May 2012 16:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Bird <mgb@yosemite.net>:
New Bug report received and forwarded. Copy sent to Debian Request Tracker Group <pkg-request-tracker-maintainers@lists.alioth.debian.org>. (Thu, 31 May 2012 16:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mike Bird <mgb@yosemite.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: request-tracker3.8: rt create error 500
Date: Thu, 31 May 2012 09:00:54 -0700
Package: request-tracker3.8
Version: 3.8.8-7+squeeze3
Severity: normal


A long time daily cron "/usr/bin/rt create -t ticket ..." reported
rt: Server error: Server closed connection without sending any data back (500)
but succeeded when script was run again.

I never saw this under squeeze1, nor under squeeze2 but that was only
installed a few days.  It happened in squeeze3 the night after it was
installed.

-- Package-specific info:
Changed files:

-- System Information:
Debian Release: 6.0.5
  APT prefers stable-updates
  APT policy: (900, 'stable-updates'), (900, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages request-tracker3.8 depends on:
ii  dbconfig-common        1.8.46+squeeze.0  common framework for packaging dat
ii  debconf [debconf-2.0]  1.5.36.1          Debian configuration management sy
ii  libapache-session-perl 1.87-1            Perl modules for keeping persisten
ii  libcache-simple-timede 0.27-2            Perl module to cache and expire ke
ii  libcalendar-simple-per 1.21-1            module for producing simple calend
ii  libcgi-fast-perl       5.10.1-17squeeze3 CGI::Fast Perl module
ii  libcgi-pm-perl         3.49-1squeeze1    module for Common Gateway Interfac
ii  libclass-returnvalue-p 0.55-1            A return-value object that lets yo
ii  libcss-squish-perl     0.09-1            module to compact many CSS files i
ii  libdata-ical-perl      0.16+dfsg-1       Perl module for manipulating iCale
ii  libdbi-perl            1.612-1           Perl Database Interface (DBI)
ii  libdbix-searchbuilder- 1.56-1            Perl implementation of a simple OR
ii  libdevel-stacktrace-pe 1.2100-1          Perl module containing stack trace
ii  libemail-address-perl  1.889-2           RFC 2822 Address Parsing and Creat
ii  libfcgi-procmanager-pe 0.18-2            Functions for managing FastCGI app
ii  libfile-sharedir-perl  1.00-0.1          Locate per-dist and per-module sha
ii  libgd-graph-perl       1.44-3            Graph Plotting Module for Perl 5
ii  libgd-text-perl        0.86-5            Text utilities for use with GD
ii  libgnupg-interface-per 0.42-3            Perl interface to GnuPG
ii  libgraphviz-perl       2.04-1            Perl interface to the GraphViz gra
ii  libhtml-mason-perl     1:1.44-1          HTML::Mason Perl module
ii  libhtml-parser-perl    3.66-1            collection of modules that parse H
ii  libhtml-rewriteattribu 0.03-1            concise attribute rewriting
ii  libhtml-scrubber-perl  0.08-4            Perl extension for scrubbing/sanit
ii  libipc-run-safehandles 0.02-1            Use IPC::Run and IPC::Run3 safely
ii  libjs-prototype        1.6.1-1           JavaScript Framework for dynamic w
ii  libjs-scriptaculous    1.8.3-1           JavaScript library for dynamic web
ii  liblocale-maketext-fuz 0.10-1            Maketext from already interpolated
ii  liblocale-maketext-lex 0.82-1            lexicon-handling backends for Loca
ii  liblog-dispatch-perl   2.22-1            Dispatches messages to multiple Lo
ii  libmailtools-perl      2.06-1            Manipulate email in perl programs
ii  libmime-tools-perl [li 5.428-1           Perl5 modules for MIME-compliant m
ii  libmime-types-perl     1.30-1            Perl extension for determining MIM
ii  libmodule-versions-rep 1.06-1            Report versions of all modules in 
ii  libperlio-eol-perl     0.14-1+b1         PerlIO layer for normalizing line 
ii  libregexp-common-perl  2010010201-1      module with common regular express
ii  libtext-autoformat-per 1.669002-1        module for automatic text wrapping
ii  libtext-quoted-perl    2.06-1            Perl module to extract the structu
ii  libtext-template-perl  1.45-1            Text::Template perl module
ii  libtext-wikiformat-per 0.78-1            translates Wiki formatted text int
ii  libtext-wrapper-perl   1.02-1            Simple word wrapping routine
ii  libtime-modules-perl   2006.0814-2       Various Perl modules for time/date
ii  libtimedate-perl       1.2000-1          collection of modules to manipulat
ii  libtree-simple-perl    1.18-1            A simple tree object
ii  libuniversal-require-p 0.13-1            Load modules from a variable
ii  libxml-rss-perl        1.48-1            Perl module for managing RSS (RDF 
ii  libxml-simple-perl     2.18-3            Perl module for reading and writin
ii  perl [libdigest-sha-pe 5.10.1-17squeeze3 Larry Wall's Practical Extraction 
ii  perl-modules [libcgi-p 5.10.1-17squeeze3 Core Perl modules
ii  postfix [mail-transpor 2.7.1-1+squeeze1  High-performance mail transport ag
ii  rsyslog [system-log-da 4.6.4-2           enhanced multi-threaded syslogd
ii  rt3.8-apache2          3.8.8-7+squeeze3  Apache 2 specific files for reques
ii  rt3.8-clients          3.8.8-7+squeeze3  mail gateway and command-line inte
ii  rt3.8-db-mysql         3.8.8-7+squeeze3  MySQL database backend for request
ii  ucf                    3.0025+nmu1       Update Configuration File: preserv

Versions of packages request-tracker3.8 recommends:
ii  cron [cron-daemon]            3.0pl1-116 process scheduling daemon
ii  libdatetime-locale-perl       1:0.45-1   Perl extension providing localizat
ii  libdatetime-perl              2:0.6100-2 module for manipulating dates, tim
pn  speedy-cgi-perl               <none>     (no description available)

Versions of packages request-tracker3.8 suggests:
pn  rt3.8-rtfm                    <none>     (no description available)

-- Configuration Files:
/etc/logcheck/ignore.d.server/request-tracker3_8 [Errno 13] Permission denied: u'/etc/logcheck/ignore.d.server/request-tracker3_8'

-- debconf information:
* request-tracker3.8/organization: yosemite.net
  request-tracker3.8/pgsql/authmethod-user: password
  request-tracker3.8/install-error: retry
  request-tracker3.8/dbconfig-remove:
  request-tracker3.8/mysql/method: unix socket
* request-tracker3.8/dbconfig-reinstall: false
  request-tracker3.8/db/dbname: rtdb
  request-tracker3.8/missing-db-package-error: abort
* request-tracker3.8/dbconfig-install: false
  request-tracker3.8/remove-error: abort
  request-tracker3.8/warn-sqlite-file:
  request-tracker3.8/remote/newhost:
  request-tracker3.8/pgsql/admin-user: postgres
  request-tracker3.8/db/app-user: rtuser
  request-tracker3.8/remote/host:
* request-tracker3.8/rtname: yosemite.net
  request-tracker3.8/internal/reconfiguring: true
  request-tracker3.8/passwords-do-not-match:
  request-tracker3.8/database-type: mysql
  request-tracker3.8/pgsql/no-empty-passwords:
* request-tracker3.8/handle-siteconfig-permissions: true
* request-tracker3.8/correspondaddress: rt@yosemite.net
* request-tracker3.8/install-cronjobs: true
  request-tracker3.8/upgrade-error: abort
  request-tracker3.8/mysql/admin-user: root
  request-tracker3.8/remote/port:
  request-tracker3.8/pgsql/changeconf: false
  request-tracker3.8/dbconfig-upgrade: true
  request-tracker3.8/pgsql/method: unix socket
  request-tracker3.8/purge: false
  request-tracker3.8/pgsql/authmethod-admin: ident
  request-tracker3.8/pgsql/manualconf:
* request-tracker3.8/webpath: /rt
  request-tracker3.8/upgrade-backup: true
  request-tracker3.8/db/basepath:
  request-tracker3.8/internal/skip-preseed: true
* request-tracker3.8/webbaseurl: https://secure.yosemite.net
* request-tracker3.8/commentaddress: rt-comment@yosemite.net




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Request Tracker Group <pkg-request-tracker-maintainers@lists.alioth.debian.org>:
Bug#675369; Package request-tracker3.8. (Thu, 31 May 2012 16:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Bird <mgb@yosemite.net>:
Extra info received and forwarded to list. Copy sent to Debian Request Tracker Group <pkg-request-tracker-maintainers@lists.alioth.debian.org>. (Thu, 31 May 2012 16:48:05 GMT) Full text and rfc822 format available.

Message #10 received at 675369@bugs.debian.org (full text, mbox):

From: Mike Bird <mgb@yosemite.net>
To: 675369@bugs.debian.org
Subject: Probably squeeze3 rather than squeeze2
Date: Thu, 31 May 2012 09:28:20 -0700
This did not happen during several days under squeeze2 but happened many
times during one night under squeeze3.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Request Tracker Group <pkg-request-tracker-maintainers@lists.alioth.debian.org>:
Bug#675369; Package request-tracker3.8. (Thu, 31 May 2012 18:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Debian Request Tracker Group <pkg-request-tracker-maintainers@lists.alioth.debian.org>. (Thu, 31 May 2012 18:00:03 GMT) Full text and rfc822 format available.

Message #15 received at 675369@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: Mike Bird <mgb@yosemite.net>, 675369@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: [request-tracker-maintainers] Bug#675369: Probably squeeze3 rather than squeeze2
Date: Thu, 31 May 2012 18:57:39 +0100
forcemerge 674924 675369
thanks

On Thu, May 31, 2012 at 09:28:20AM -0700, Mike Bird wrote:
> This did not happen during several days under squeeze2 but happened many
> times during one night under squeeze3.

Hi Mike,

I think this one is a duplicate of

http://bugs.debian.org/674924

There is a test package linked from there; it would be useful to know
whether this fixes the problem for you.

Sorry for all the trouble you've had with these updates; the mod_perl
issues in particular have been troublesome to pin down by upstream and
me. Your patience (and assistance) is much appreciated!

Cheers,
Dominic.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Severity set to 'important' from 'normal' Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Thu, 31 May 2012 18:00:05 GMT) Full text and rfc822 format available.

Added indication that 675369 affects release.debian.org Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Thu, 31 May 2012 18:00:05 GMT) Full text and rfc822 format available.

Merged 674924 675369 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Thu, 31 May 2012 18:00:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Request Tracker Group <pkg-request-tracker-maintainers@lists.alioth.debian.org>:
Bug#675369; Package request-tracker3.8. (Thu, 31 May 2012 18:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Bird <mgb@yosemite.net>:
Extra info received and forwarded to list. Copy sent to Debian Request Tracker Group <pkg-request-tracker-maintainers@lists.alioth.debian.org>. (Thu, 31 May 2012 18:51:06 GMT) Full text and rfc822 format available.

Message #26 received at 675369@bugs.debian.org (full text, mbox):

From: Mike Bird <mgb@yosemite.net>
To: 675369@bugs.debian.org
Cc: 675281@bugs.debian.org
Subject: 3.8.8-7+squeeze4~test.1
Date: Thu, 31 May 2012 11:47:24 -0700
3.8.8-7+squeeze4~test.1 seems to fix the problem of command
line "rt create" reporting 500, and the problem of a blank page
after using web-reply to change a ticket's owner.

It also seems to fix an (unreported?) problem of auto-refresh
RT home page failing to refresh.

It does not fix the problems of CCs not being added through
the web interface when specified by username or real name.

--Mike




Added tag(s) pending. Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Sun, 03 Jun 2012 18:36:06 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 06 Jul 2012 07:38:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 16:35:10 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.